org.eclipse.graphiti.ui.internal.policy

## Class ConnectionBendpointEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.gef.editpolicies.SelectionEditPolicy
      - - org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
        - - org.eclipse.graphiti.ui.internal.policy.BendpointEditPolicyFixed
          - - org.eclipse.graphiti.ui.internal.policy.ConnectionBendpointEditPolicy

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

    public class ConnectionBendpointEditPolicy
    extends BendpointEditPolicyFixed

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionBendpointEditPolicy(IConfigurationProviderInternal configurationProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate()` `activate()` is extended to add a listener to the `Connection` figure.

### Methods inherited from class org.eclipse.graphiti.ui.internal.policy.BendpointEditPolicyFixed

`deactivate, eraseSourceFeedback, getCommand, propertyChange, showSourceFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy

`getAdapter`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy

`getTargetEditPart`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectionBendpointEditPolicy

    public ConnectionBendpointEditPolicy(IConfigurationProviderInternal configurationProvider)

### Method Detail

#### activate

    public void activate()

Description copied from class: `BendpointEditPolicyFixed`
`activate()` is extended to add a listener to the `Connection` figure.

Specified by:
  `activate` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `activate` in class `BendpointEditPolicyFixed`
See Also:
  `EditPolicy.activate()`